Get user

GET https://api.ap1.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.ap2.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.eu/api/v2/scim/Users/{user_uuid}https://api.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.us2.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us3.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us5.datadoghq.com/api/v2/scim/Users/{user_uuid}

Overview

Get a single user using the user_uuid. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    user_uuid [required]

    string

    None

    Response

    OK

    Definition of a user.

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"